// Some custom-written utilities

function toggle_quiz(id) {
    var e = document.getElementById(id);
    if(e.style.display == 'block')
	e.style.display = 'none';
    else {
	e.style.display = 'block';
	//document.getElementById('footer').scrollIntoView();                                                                                                                         
	$('#footer').ScrollTo({},{duration: 2000}, {easing:'easeInOutCirc'});
    }
}

function toggle_visibility(id) {
    var f = document.getElementById(id);
    if(f.style.visibility == "visible")
	f.style.visibility = "hidden";
    else
	f.style.visibility = "visible";
}